%bcond_with docs

Name:           gstreamer1.0-omx
Version:        1.18.5
Release:        %mkrel 1
Summary:        GStreamer OpenMAX IL wrapper plugin
Group:          System/Libraries
License:        LGPLv2+
URL:            https://gstreamer.freedesktop.org/modules/gst-omx.html
Source0:        https://gstreamer.freedesktop.org/src/gst-omx/gst-omx-%{version}.tar.xz
BuildRequires:	meson
BuildRequires:	pkgconfig(gstreamer-plugins-base-1.0)
BuildRequires:	pkgconfig(glesv2)
#BuildRequires:	pkgconfig(libomxil-bellagio)
%ifarch %{valgrind_arches}
BuildRequires:	pkgconfig(valgrind)
%endif
Requires:	gstreamer1.0-plugins-base

%description
This plugin wraps available OpenMAX IL components and makes
them available as standard GStreamer elements.

%prep
%setup -qn gst-omx-%{version}
%autopatch -p1

%build
%meson \
	-Dtarget='generic' \
	-Dpackage-name='%{_vendor} %{name} package' \
	-Dpackage-origin='https://www.%{_real_vendor}.org' \
	-Ddoc=%{?with_docs:enabled}%{?!with_docs:disabled}
%meson_build

%install
%meson_install

%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/gstreamer-1.0/libgstomx.so


%changelog
* Sat Sep 18 2021 wally <wally> 1.18.5-1.mga8
+ Revision: 1745772
- new version 1.18.5 (mga#29452)

* Mon Jan 18 2021 wally <wally> 1.18.3-1.mga8
+ Revision: 1672333
- new version 1.18.3

* Wed Dec 09 2020 wally <wally> 1.18.2-1.mga8
+ Revision: 1655019
- new version 1.18.2

* Sat Nov 21 2020 wally <wally> 1.18.1-1.mga8
+ Revision: 1648251
-new version 1.18.1

* Sun Sep 13 2020 wally <wally> 1.18.0-1.mga8
+ Revision: 1625920
- new version 1.18.0
- switch to meson build

* Tue Feb 18 2020 umeabot <umeabot> 1.16.2-2.mga8
+ Revision: 1539261
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Wed Dec 04 2019 daviddavid <daviddavid> 1.16.2-1.mga8
+ Revision: 1464335
- new version 1.16.2

* Tue Sep 24 2019 daviddavid <daviddavid> 1.16.1-1.mga8
+ Revision: 1445553
- new version 1.16.1

* Fri Apr 26 2019 daviddavid <daviddavid> 1.16.0-1.mga7
+ Revision: 1395425
- new version 1.16.0

* Thu Oct 04 2018 daviddavid <daviddavid> 1.14.4-1.mga7
+ Revision: 1317568
- new version: 1.14.4

* Tue Sep 18 2018 daviddavid <daviddavid> 1.14.3-1.mga7
+ Revision: 1259561
- new version 1.14.3

* Sat Jul 21 2018 daviddavid <daviddavid> 1.14.2-1.mga7
+ Revision: 1244564
- new version: 1.14.2

* Mon May 21 2018 wally <wally> 1.14.1-1.mga7
+ Revision: 1231146
- new version 1.14.1

* Sat Apr 14 2018 wally <wally> 1.14.0-1.mga7
+ Revision: 1218669
- imported package gstreamer1.0-omx

